This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 170276 - RFE: build termcap from the ncurses source package
RFE: build termcap from the ncurses source package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: termcap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Raszyk
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 10:43 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 10:51:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2005-10-10 10:43:09 EDT
When the termcap and terminfo databases aren't synchronized, weird behavior
starts cropping up in applications.  The termcap file is already generated from
the terminfo sources, so it probably makes sense to merge the source packages
for the two to reduce the maintenance overhead.
Comment 1 Petr Raszyk 2005-10-11 10:49:51 EDT
At first sight you are right. 

 termcap/terminfo should be synchronized. But there is one important thing:
 termcap is very old terminal-capability description. It should not be used
 'today'. For instance: a termcap-record should not be greater than 1024 bytes.
                        a terminfo-record can be 4096 bytes 'large'.
 Therefore (and not only), not all (described in terminfo) can be translated 
 into termcap.
 Yes, ncurses ('new version only') can translate termcap-record > 1024, but 
 not all 'old programs' use ncurses (for instance Jove - my last 'bug').
 !!! By translation I mean 'removing some capabilities' !!!
   
 As described above, we should 'fight', that termcap will not be used.
 
 Resume: 'termcap' should not be used. This information is 15-20 years 'old'.
          It is a crime, that we have (today 2005) two terminal-descriptions
          for one terminal/terminal emulator.
          One 'full description'    == terminfo
          One 'reduced description' == termcap
          We should not spend our power to keep this schizophrenic
          constellation alive.
          We should not 'build' a Linux-specific-extension for termcap to
          keep this nonsense alive.

 We should have a power to 'stay hard' .

Note You need to log in before you can comment on or make changes to this bug.